<?xml version="1.0" encoding="ISO-8859-1"?>

<!-- properties.v01.xsl contient tous les templates d'affichage des informations de la balise properties de CDM-fr v2 -->

<xsl:stylesheet version="1.0"
	xmlns:xsl="http://www.w3.org/1999/XSL/Transform"
	xmlns:cdmfr="http://cdm-fr.fr/2011/CDM-frSchema"
	exclude-result-prefixes="xsl xhtml"
	xmlns="http://www.w3.org/1999/xhtml"
	xmlns:xhtml="http://www.w3.org/1999/xhtml">

	<xsl:variable name="vNode" select="/CDM/properties" />
		
	<xsl:template name="tPropertiesDateTimeDate">
		<xsl:value-of select="$vNode/datetime/@date"/>		
	</xsl:template>
	
	<!-- Date au format JJ-MM-SSAA au lieu de SSAA-MM-JJ -->
	<xsl:template name="tPropertiesDateTimeTransformDate">
		<xsl:value-of select="substring($vNode/datetime/@date,9,2)"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="substring($vNode/datetime/@date,6,2)"/>
		<xsl:text>-</xsl:text>
		<xsl:value-of select="substring($vNode/datetime/@date,1,4)"/>
	</xsl:template>
	
	<xsl:template name="tPropertiesDateTimeTime">
		<xsl:value-of select="$vNode/datetime/@time"/>
	</xsl:template>
	<xsl:template name="tPropertiesDateTimeTransformTime">
		<xsl:value-of select="substring($vNode/datetime/@time,1,2)"/>
		<xsl:text>H</xsl:text>
		<xsl:value-of select="substring($vNode/datetime/@time,4,2)"/>
	</xsl:template>
</xsl:stylesheet>